import { Logger } from './../libs/logger';
import { ElementClass, ElementShadow } from './element-shadow';
import { Element } from './element.interface';
import { Scene } from './scene/scene';
export declare class ElementBuilder {
    private readonly scene;
    private elem?;
    constructor(scene: Scene);
    logger(logger: Logger): this;
    tag(name: string): this;
    parent(g?: ElementShadow): this;
    element(ElementClazz: ElementClass, props?: any): this;
    build<T = Element>(): T;
}
