import { ElementClass, ElementShadow } from '../element-shadow';
import { GroupItemProps, GroupProps } from './group.props';
export declare class Group<GP extends GroupProps, GIP extends GroupItemProps> extends ElementShadow {
    $$ignoreEvalProps: string[];
    protected runs: GIP[];
    protected get innerScene(): import("../scene").default;
    constructor(props: GP | GIP[]);
    lazyInit(props: GP | GIP[]): void;
    newElement(nameOrClass: string | ElementClass, props?: any): Promise<ElementShadow>;
    exec(parentState?: Record<string, any>): Promise<ElementShadow[]>;
    runEachOfElements(parentState?: Record<string, any>): Promise<ElementShadow[]>;
    private createAndExecuteElement;
}
