import { Logger, LoggerLevel } from './logger';
export declare class ProgressBar {
    logger: Logger;
    private readonly color;
    static readonly Color: {
        Black: string;
        Red: string;
        Green: string;
        Yellow: string;
        Blue: string;
        Magenta: string;
        Cyan: string;
        White: string;
        Gray: string;
    };
    private readonly id;
    private maxLength;
    constructor(logger: Logger, color?: string);
    start(txt: string): Promise<void>;
    update(txt: string, level?: LoggerLevel): void;
    stop(): Promise<void>;
    passed(txt: string, ...args: string[]): Promise<void>;
    failed(txt: string, ...args: string[]): Promise<void>;
}
