import { VarsProps } from './vars/vars.props';
export type ElementBaseProps = Pick<ElementProps, 'if' | 'force' | 'log' | 'vars' | 'async' | 'loop' | 'title'>;
export interface ElementProps {
    [key: string]: any;
    '->'?: string;
    '<-'?: string | string[];
    skip?: boolean;
    force?: boolean | string;
    title?: string;
    log?: 'all' | 'trace' | 'debug' | 'info' | 'warn' | 'error' | 'fatal' | 'silent';
    vars?: VarsProps;
    loop?: string | object[] | object;
    if?: boolean | string;
    async?: boolean | string;
}
