"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicAuth = void 0;
const base64_1 = require("../../../../libs/encrypt/base64");
class BasicAuth {
    hash;
    constructor(username, password = '') {
        this.hash = 'Basic ' + new base64_1.Base64().encrypt(`${username}:${password}`);
    }
    verify(jobData) {
        const userToken = jobData.jobInfo.headers.authorization || jobData.jobInfo.query.authorization;
        return this.hash === userToken;
    }
}
exports.BasicAuth = BasicAuth;
//# sourceMappingURL=BasicAuth.js.map